<?xml version="1.0"?>
<!--
    Generates printer-friendly version which has smaller fonts,
    no contents, does not include the FDL (which is available on the web anyway)
    and renders objective headings differently.
    Copyright (C)1999, 2000, 2002 Dylan Walsh.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-->

<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]> 
<xsl:stylesheet	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"> 
 <xsl:import href="cert2html.xsl"/>
 <xsl:output method="html" indent="yes" />
 <xsl:strip-space elements="*"/>

 <xsl:template match="document">
  <html>
   <head>
    <title><xsl:value-of select="title"/></title>
   </head>
   <body>
    <xsl:call-template name="css" />
   
    <p align="center">
     <h1><xsl:value-of select="title"/></h1>
     <xsl:apply-templates select="legal" />
    </p>
    <xsl:apply-templates select="disclaimer" />
    <xsl:apply-templates select="section[not(section_title='GNU Free Documentation License')]" />
    <p align="center">
    <hr />
     <small>
      <xsl:apply-templates select="/document/legal/copyright-declaration" />
      <br/>
      <xsl:apply-templates select="/document/legal/fdl" />
     </small>
    </p>
   </body>
  </html>
 </xsl:template>

 <!-- The objective as described by Sun -->
 <xsl:template match="objh">
  <br/>
  <table cellpadding="5" cellspacing="0" border="1" width="100%" >
   <tr>
    <td class="objh">
     <a name="{generate-id()}"/><xsl:apply-templates />
    </td>
   </tr>
  </table>
 </xsl:template>
 
 <xsl:template name="css">
 	<!-- The following CSS is messy, but it renders reasonably consistantly in Netscape 4.X and IE 4/5. -->
		<STYLE TYPE="text/css">
			<xsl:comment>
				body { font-family : Arial, sans-serif; font-size : 9pt}
				p { font-family : Arial, sans-serif; font-size : 9pt}
				a { font-family : Arial, sans-serif; font-size : 9pt}
				h1 { font-family: Arial, sans-serif; font-size : 14pt}
				h2 { font-family: Arial, sans-serif; font-size : 12pt}
				h3 { font-family: Arial, sans-serif; font-size : 10pt}
				td { font-family : Arial, sans-serif; font-size : 9pt}
				ul { font-family : Arial, sans-serif; font-size : 9pt}
				ol { font-family : Arial, sans-serif; font-size : 9pt}
				li { font-family : Arial, sans-serif; font-size : 9pt}
				blockquote { font-family : Arial, sans-serif; font-size : 9pt}
				code { font-size : 9pt}
				pre { font-size : 9pt}
				td.objh { font-family : Arial, sans-serif; font-size : 9pt; font-weight: bold;}
				td { font-family : Arial, sans-serif; font-size : 9pt}
			</xsl:comment>
		</STYLE>
 </xsl:template>
</xsl:stylesheet>
